Subject: [Dclc] FW: New Version Notification for draft-song-dclc-tcpdc-04.txt

From: "Songhaibin (A)" <[email-masked]>
Date: Wed, 29 Oct 2014 08:45:14 +0000

Hi,

We submitted a new version of draft with a minor update. And we still keep improving it. Anyone who is interested in this topic is welcome to give comments/input/questions to the draft. 

> URL:
http://www.ietf.org/internet-drafts/draft-song-dclc-tcpdc-04.txt

Best Regards!
-Haibin

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]]
> Sent: Tuesday, October 28, 2014 5:08 AM
> To: Songhaibin (A); Yashar Ganjali; Songhaibin (A); Huangyihong (Rachel); Yashar
> Ganjali; Monia Ghobadi; Huangyihong (Rachel); Monia Ghobadi
> Subject: New Version Notification for draft-song-dclc-tcpdc-04.txt
> 
> 
> A new version of I-D, draft-song-dclc-tcpdc-04.txt has been successfully
> submitted by Monia Ghobadi and posted to the IETF repository.
> 
> Name:		draft-song-dclc-tcpdc
> Revision:	04
> Title:		TCP Parameter Dynamic Control
> Document date:	2014-10-27
> Group:		Individual Submission
> Pages:		14
> URL:
> http://www.ietf.org/internet-drafts/draft-song-dclc-tcpdc-04.txt
> Status:         https://datatracker.ietf.org/doc/draft-song-dclc-tcpdc/
> Htmlized:       http://tools.ietf.org/html/draft-song-dclc-tcpdc-04
> Diff:           http://www.ietf.org/rfcdiff?url2=draft-song-dclc-tcpdc-04
> 
> Abstract:
>    Congestion control has been extensively studied for many years.
>    Today, the Transmission Control Protocol (TCP) is used in a wide
>    range of networks (LAN, WAN, data center, campus network, enterprise
>    network, etc.) as the de facto congestion control mechanism. Despite
>    its common usage, TCP operates in these networks with little
>    knowledge of the underlying network or traffic characteristics. As a
>    result, it is deemed to continuously increase or decrease its
>    congestion window size in order to handle changes in the network or
>    traffic conditions. Thus, TCP frequently overshoots or undershoots
>    the ideal rate making it a "Jack of all trades, master of none"
>    congestion control protocol. In light of the emerging popularity of
>    centrally controlled networks such as Software-Defined Networks
>    (SDNs), we propose a framework that takes advantage of the
>    information available at the central controller to improve TCP.
>    Specifically, in this document, we propose OpenTCP as a dynamic and
>    programmable TCP adaptation framework for centrally controlled
>    networks. OpenTCP gathers global information about the status of the
>    network and traffic conditions through the centralized controller,
>    and uses this information to adapt TCP. OpenTCP periodically sends
>    updates to end-hosts which, in turn, update their behaviour using a
>    simple kernel module.
> 
>    This document describes a framework and message flows for centralized
>    congestion control parameter adaptation based on congestion control
>    policies and network status measurements, so that each end host in a
>    network can make better use of the network resource according to the
>    available resources. In the rest of this document we use TCP as a
>    standard congestion control mechanism, but the same idea can be
>    applied to other congestion control protocols as well. A TCP
>    Optimization Element and a TCP Optimization Agent are introduced. The
>    message patterns include request response and
>    subscription/notification. This mechanism can be used in network
>    service providers' networks, as well as in data center networks.
> 
> 
> 
> 
> 
> Please note that it may take a couple of minutes from the time of submission
> until the htmlized version and diff are available at tools.ietf.org.
> 
> The IETF Secretariat